Bug 20699 - loop.c won't build on stock kernel
Summary: loop.c won't build on stock kernel
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-12 07:06 UTC by Todd Krein
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-12 07:06:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Todd Krein 2000-11-12 07:06:11 UTC
From a virgin 7.0 upgrade, I:

cd /usr/src/linux
make oldconfig
make bzImage
make modules

It fails:

[root@thunderball linux]# make modules
make -C  kernel CFLAGS="-Wall -Wstrict-prototypes -O2 -fomit-frame-
pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m486 -malign-
loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586 -DMODULE -
DMODVERSIONS -include /usr/src/linux/include/linux/modversions.h" 
MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.2.16/kernel'
make[1]: Nothing to be done for `modules'.
make[1]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make -C  drivers CFLAGS="-Wall -Wstrict-prototypes -O2 -fomit-frame-
pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m486 -malign-
loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586 -DMODULE -
DMODVERSIONS -include /usr/src/linux/include/linux/modversions.h" 
MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.2.16/drivers'
make -C block modules
make[2]: Entering directory `/usr/src/linux-2.2.16/drivers/block'
kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -
fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m486 -
malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586 -DMODULE -
DMODVERSIONS -include /usr/src/linux/include/linux/modversions.h   -
DEXPORT_SYMTAB -c loop.c
In file included from /usr/src/linux/include/linux/sched.h:20,
                 from loop.c:48:
/usr/src/linux/include/linux/smp.h:77: warning: `smp_num_cpus' redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:29: warning: this is 
the location of the previous definition
/usr/src/linux/include/linux/smp.h:83: warning: `smp_call_function' 
redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:120: warning: this is 
the location of the previous definition
In file included from /usr/src/linux/include/linux/sched.h:74,
                 from loop.c:48:
/usr/src/linux/include/asm/processor.h:96: warning: `cpu_data' redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:6: warning: this is 
the location of the previous definition
In file included from loop.c:46:
/usr/src/linux/include/linux/module.h:145: `get_module_symbol_R_ver_str' 
declared as function returning a function
/usr/src/linux/include/linux/module.h:145: warning: parameter names 
(without types) in function declaration
{standard input}: Assembler messages:
{standard input}:9: Warning: Ignoring changed section attributes 
for .modinfo
make[2]: *** [loop.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.16/drivers/block'
make[1]: *** [_modsubdir_block] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.16/drivers'
make: *** [_mod_drivers] Error 2
[root@thunderball linux]#

Comment 1 Bill Nottingham 2000-11-13 07:13:48 UTC
You need 'make mrproper' before 'make oldconfig'.


Note You need to log in before you can comment on or make changes to this bug.